Static Public Member Functions | List of all members
MTLPatchShaderSource Class Reference

`#include <mtlPatchShaderSource.h>`

## Static Public Member Functions
static std::string | GetCommonShaderSource ()
static std::string | GetPatchBasisShaderSource ()
static std::string | GetVertexShaderSource (Far::PatchDescriptor::Type type, Far::PatchDescriptor::Type fvarType)
static std::string | GetHullShaderSource (Far::PatchDescriptor::Type type, Far::PatchDescriptor::Type fvarType)
static std::string | GetDomainShaderSource (Far::PatchDescriptor::Type type, Far::PatchDescriptor::Type fvarType)

## Detailed Description

Definition at line 36 of file mtlPatchShaderSource.h.

## Member Function Documentation

## ◆ GetCommonShaderSource()

static std::string GetCommonShaderSource | ( |  | ) |
| static

## ◆ GetDomainShaderSource()

static std::string GetDomainShaderSource | ( | Far::PatchDescriptor::Type | type,
|  | Far::PatchDescriptor::Type | fvarType
| ) |  |
| static

## ◆ GetHullShaderSource()

static std::string GetHullShaderSource | ( | Far::PatchDescriptor::Type | type,
|  | Far::PatchDescriptor::Type | fvarType
| ) |  |
| static

## ◆ GetPatchBasisShaderSource()

static std::string GetPatchBasisShaderSource | ( |  | ) |
| static

## ◆ GetVertexShaderSource()

static std::string GetVertexShaderSource | ( | Far::PatchDescriptor::Type | type,
|  | Far::PatchDescriptor::Type | fvarType
| ) |  |
| static

The documentation for this class was generated from the following file:

- opensubdiv/osd/mtlPatchShaderSource.h